IF EXISTS (SELECT 1 FROM sys.objects WHERE object_id = OBJECT_ID('[dbo].[mps_customer_check]') AND type = 'P')
DROP PROCEDURE [dbo].[mps_customer_check]
GO

-- 生成时间:2018-06-13 15:26:44 by ebs-core  
CREATE  procedure [dbo].[mps_customer_check](
@cmpid int,
@branchid int,
@userdpid int,
@useruid int,
@userotid int,
@ccid bigint,
@operation varchar(50) output,
@errorinfo nvarchar(4000) output
  ) 
as  
begin  
set nocount on  
declare @ord2group2 nvarchar(50) 
set @ord2group2 = '' 
declare @sys_recid bigint 
set @sys_recid = 0 
 declare @nonedate datetime 
set @nonedate = CONVERT(datetime,'1910-1-1')
 set @operation = 'continue'
 set @errorinfo = '' 
 --- 以下是预处理事件中的临时表
 
exec drop_temp_table '#master' 
select * into #master from mps_customer where cc_id=@ccid  

 ---- 以下是开发人员写的 check order 事件 --------------
 --#master--#master--#master--#master--#master--#master--#master--#master--#master--#master--#master--#master--#master--#master
 ---- 以上是开发人员写的 check order 事件 --------------
 
 if (@operation='continue') 
 begin
 set @sys_recid=@sys_recid  -- here useless 
 
end 
--- 清除临时表 

exec drop_temp_table '#master' 

set nocount off 
end